<template>
  <div class="Card">
    <h1 class="Card-title">
      {{ title }}
    </h1>

    <div class="Card-subtitle">
      {{ subtitle }}
    </div>

    <div class="Card-body">
      {{ text }}
    </div>
  </div>
</template>

<script>
  export default {
    name: 'Card',

    props: [
      'title',
      'subtitle'
    ],

    data() {
      return {
        text: 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusamus aperiam aut corporis enim eveniet explicabo modi nulla, quibusdam sint tenetur. Ab culpa ex fugiat illum nulla provident tenetur unde veniam.'
      }
    }
  }
</script>

<style scoped>
  .Card {
    all: initial;
    display: block;
    padding: 15px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.25);
    font-family: Arial, sans-serif;
    font-size: 15px;
  }

  .Card-title {
    display: block;
    margin: 0;
    font-size: 2em;
  }

  .Card-subtitle {
    display: block;
    opacity: 0.5;
  }

  .Card-body {
    display: block;
    margin-top: 0.5em;
  }
</style>
